Bem-vindo: Sex, 4 de Dezembro 2020, 9:17 Pesquisa avançada

[WARNING] SPSS 20 para Mint/Ubuntu

Publique aqui o programa que acabou de conhecer! Questione aqui alguma opção de algum programa ou sobre a sua própria instalação!

[WARNING] SPSS 20 para Mint/Ubuntu

Mensagempor diogoscosta » Qua, 7 de Março 2012, 14:03

Boa tarde, estou com um problema na instalação do SPSS Statistics 20 no Linux Mint
fiz a instalação dos pre-requisitos, e depois executei o comando sudo sh setup.bin
dá-me o seguinte erro:

Código: Selecionar todos
sudo sh setup.bin
Preparing to install...
Extracting the JRE from the installer archive...
Unpacking the JRE...
Extracting the installation resources from the installer archive...
Configuring the installer for this system's environment...
strings: '/lib/libc.so.6': No such file

Launching installer...

exec: 2474: /tmp/install.dir.2177/Linux/resource/jre/jre/bin/java: not found


Segui este tutorial: http://users.ox.ac.uk/~richardc/guides/SPSSforLinux.html

O que me parece é que oficialmente só dá para o Red Hat, mas sei de pessoas que conseguiram instalar em Ubuntu.

Podem ajudar-me?

Obrigado
Editado pela última vez por diogoscosta em Sex, 9 de Março 2012, 15:27, em um total de 2 vezes.

diogoscosta
 
Mensagens: 20
Registrado em: 08 Fevereiro, 2012

Re: [Erro] SPSS 20 para Mint/Ubuntu

Mensagempor Miguel Fonseca » Qua, 7 de Março 2012, 14:13

Boas Diogo, estás a utilizar um sistema de 32 ou 64 bits?

Para já parece que te falta instalar umas bibliotecas de 32 bits (mesmo que estejas com um SO de 64 bits)!

Mas aguardo a tua resposta antes de adiantar algo mais.

Cumps.
It is only in Love and Murder, that we still remain sincere! - Friedrich Durrenmatt
Avatar do usuário
Miguel Fonseca
Bleeding-edge Helper
 
Mensagens: 2512
Registrado em: 10 Junho, 2011

Re: [Erro] SPSS 20 para Mint/Ubuntu

Mensagempor diogoscosta » Qua, 7 de Março 2012, 15:48

é um sistema de 64bits.
eu fiz a instalação dos pre-requisitos:
sudo apt-get install libstdc++5

agradeço a ajuda!! =)

diogoscosta
 
Mensagens: 20
Registrado em: 08 Fevereiro, 2012

Re: [Erro] SPSS 20 para Mint/Ubuntu

Mensagempor Miguel Fonseca » Qua, 7 de Março 2012, 15:58

Bem Diogo, como usas um sistema de 64 bits, tens que instalar também estes pacotes (bibliotecas) de 32 bits:

glibc
libXext
libXtst

conforme podes ver neste link:

http://community.flexerasoftware.com/showthread.php?s=ad57d7b3324103839e48e04e54e43b45&t=195424&page=2


onde um erro idêntico ao teu aparece resolvido com a instalação destes pacotes.

Instala-os e "posta" aqui o resultado.

Cumps.
It is only in Love and Murder, that we still remain sincere! - Friedrich Durrenmatt
Avatar do usuário
Miguel Fonseca
Bleeding-edge Helper
 
Mensagens: 2512
Registrado em: 10 Junho, 2011

Re: [Erro] SPSS 20 para Mint/Ubuntu

Mensagempor Miguel Fonseca » Qua, 7 de Março 2012, 16:09

Já agora Diogo, "posta" aqui a saída deste comando no teu terminal:

locate libc.so.6


Cumps.
It is only in Love and Murder, that we still remain sincere! - Friedrich Durrenmatt
Avatar do usuário
Miguel Fonseca
Bleeding-edge Helper
 
Mensagens: 2512
Registrado em: 10 Junho, 2011

Re: [Erro] SPSS 20 para Mint/Ubuntu

Mensagempor diogoscosta » Qui, 8 de Março 2012, 10:22

a localização é esta:
Código: Selecionar todos
administrador@lab8 ~ $ locate libc.so.6
/lib/x86_64-linux-gnu/libc.so.6



estou a tentar instalar as librarias... mas nao as tenho nos repositorios... vou instalar manualmente...

diogoscosta
 
Mensagens: 20
Registrado em: 08 Fevereiro, 2012

Re: [Erro] SPSS 20 para Mint/Ubuntu

Mensagempor diogoscosta » Qui, 8 de Março 2012, 10:47

Bem está feito:

Resolução:

sudo apt-get install libstdc++5
sudo apt-get install ia32-libs
sudo sh setup.bin


e depois seguir a instalação via GUI

diogoscosta
 
Mensagens: 20
Registrado em: 08 Fevereiro, 2012

Re: [Erro] SPSS 20 para Mint/Ubuntu

Mensagempor Miguel Fonseca » Qui, 8 de Março 2012, 15:40

Boas Diogo, desculpa só responder agora, mas o tempo disponível não é muito às vezes.

Foi como te havia dito, era necessário as bibliotecas de 32 bits para resolver o assunto, apenas pensei que conhecesses melhor os pacotes e não descrevi a instalação do mesmos. As minhas desculpas!

Como podes ver no seguinte link (exemplo no Lucid 10.04):

http://packages.ubuntu.com/lucid/ia32-libs

o pacote ia32-libs é um conjunto de bibliotecas de 32 bits onde está incluído a tal lib6-i386 que precisavas para não dar o erro.

Outra possível resolução, poderia ser a criação de um link simbólico para a tal biblioteca, como podes ver neste link (como exemplo):

https://waoewaoe.wordpress.com/

no teu caso ficaria assim:

locate libc.so.6


administrador@lab8 ~ $ locate libc.so.6
/lib/x86_64-linux-gnu/libc.so.6


sudo ln -s /lib/x86_64-linux-gnu/libc.so.6 /lib/libc.so.6


Mas já está resolvido e ainda bem, como tal só falta adicionares ao teu "post" original a palavra resolvido para que outros utilizadores como o mesmo problema o semelhante o saibam.

Cumps.
It is only in Love and Murder, that we still remain sincere! - Friedrich Durrenmatt
Avatar do usuário
Miguel Fonseca
Bleeding-edge Helper
 
Mensagens: 2512
Registrado em: 10 Junho, 2011

Re: [RESOLVIDO] SPSS 20 para Mint/Ubuntu

Mensagempor diogoscosta » Qui, 8 de Março 2012, 18:18

muito obrigado pela ajuda!! =)

diogoscosta
 
Mensagens: 20
Registrado em: 08 Fevereiro, 2012

Re: [WARNING] SPSS 20 para Mint/Ubuntu

Mensagempor diogoscosta » Sex, 9 de Março 2012, 15:26

Boa Tarde, surgiu-me um novo problema...
A instalação corre perfeitamente no utilizador que tinha para o efeito... o computador está num dominio windows, e ao aceder ao SPSS com outro utilizador (utilizador normal) tenho problemas...

o arranque da aplicação é feita através de um icon .desktop criado para o efeito com atalho para /opt/IBM/SPSS/Statistics/20/bin/stats

o conteudo do ficheiro stats é:
Código: Selecionar todos
#!/bin/sh
SPSS_HOME=/opt/IBM/SPSS/Statistics/20
cd /opt/IBM/SPSS/Statistics/20
. /opt/IBM/SPSS/Statistics/20/bin/statsenv.sh
exec /opt/IBM/SPSS/Statistics/20/bin/STATISTICS $@


simplesmente abrindo o atalho ou o stats fazendo Run nada é feito (ou melhor às vezes apareces a splash screen).

se eu fizer Run in terminal aparece este warning:
(STATISTICS:12459): GLib-WARNING **: getpwuid_r(): failed due to unknown user id (887096939)


no entanto acaba por abrir...

mas eu preciso de colocar o programa a abrir pelo atalho no menu (.desktop)... como devo fazer?

diogoscosta
 
Mensagens: 20
Registrado em: 08 Fevereiro, 2012

Próximo

Voltar para Programas

Quem está online

Usuários navegando neste fórum: Nenhum usuário registrado e 7 visitantes

cron